{% extends 'base_backend.html.twig' %}
{% block title %}
<title>AutoplusAdmin - Pro</title>
{% endblock %}

{% block stylesheets %}
    <link rel="stylesheet" href="{{ asset('backassets/css/jquery.gritter.min.css') }}" />
{% endblock %}

{% block GUactive %}class="active"{% endblock %}
{% block subU %} style="display:block;" {% endblock %}
{% block Proactive %} class="active" {% endblock %}
{% block breadcumb %}
<li>Gestion Utilisateurs</li>
<li class="active">Pros</li>
{% endblock %}
{% block body %}

{% if users is not empty %}
<div class="row">
    <div class="col-sm-5">
        <div class="input-group">
            <span class="input-group-addon">
                <a href="#" id="refreshbutton"><i class="ace-icon fa fa-refresh"></i></a>
            </span>
            <input id="critere" type="text" class="form-control search-query" placeholder="Rechercher par Pseudo">
            <span class="input-group-btn">
            </span>
        </div>
    </div>
</div>
<div class="hr"></div>
<div style="text-align: center;"><h1 id="spinner"></h1></div>
<div class="row">
    <div class="col-xs-12" id="tableau">
        <table id="simple-table" class="table  table-bordered table-hover">
            <thead>
            <tr>
                <th>Pseudo</th>
                <th>E-mail</th>
                <th class="hidden-480">Numero de téléphone</th>
                <th class="detail-col">Details/Modification</th>
                <th>Activer / Désactiver</th>
                <th class="hidden-480">Suppression</th>
            </tr>
            </thead>

            <tbody>
            {% for u in users %}
                <tr>
                    <td>
                        {{ u.username }}
                    </td>
                    <td>{{ u.email }}</td>
                    <td class="hidden-480">{{ u.phone}}</td>
                    <td class="center">
                        <div class="action-buttons">
                            <a href="#" class="green bigger-140 show-details-btn" title="Show Details">
                                <i class="ace-icon fa fa-angle-double-down"></i>
                                <span class="sr-only">Details</span>
                            </a>
                        </div>
                    </td>
                    <td>{% if not u.enabled %}
                            <div class="hidden-sm hidden-xs btn-group">
                                <button class="btn btn-xs btn-danger" onclick="enableUser({{ u.id }})">
                                    <i class="ace-icon fa fa-lock bigger-120"></i>
                                </button>
                            </div>
                        {% else %}
                            <div class="hidden-sm hidden-xs btn-group">
                                <button class="btn btn-xs btn-success" onclick="disableUser({{ u.id }})">
                                    <i class="ace-icon fa fa-check bigger-120"></i>
                                </button>
                            </div>
                        {% endif %}
                    </td>
                    <td>
                        <div class="hidden-sm hidden-xs btn-group">
                            <button class="btn btn-xs btn-danger" onclick="supp({{ u.id }},'{{ u.username }}')">
                                <i class="ace-icon fa fa-trash-o bigger-120"></i>
                            </button>
                        </div>
                    </td>
                </tr>

                <tr class="detail-row">
                    <td colspan="8">
                        <div class="table-detail">
                            <div class="row">
                                <div class="col-xs-12 col-sm-2">
                                    <div class="text-center">
                                        {% if u.photo is null %}
                                            <img height="150" class="thumbnail inline no-margin-bottom" alt="Photo Utilisateur" src="{{ asset('backassets/images/avatars/no-image.jpg') }}" />
                                        {% else %}
                                            <ul class="ace-thumbnails clearfix">
                                                <li>
                                                    <span data-rel="colorbox" class="cboxElement">
                                            <img height="150" class="thumbnail inline no-margin-bottom" alt="Photo Utilisateur" src="{{ asset("uploads/photos/"~u.photo.path) }}" />
                                                    </span>
                                                    <div class="tools tools-top">
                                                        <button class="pull-right" style="background-color: transparent;border: none;" onclick="suppimage({{ u.id }})">
                                                            <i class="fa fa-times red bigger-180"></i>
                                                        </button>
                                                    </div>
                                                </li>
                                            </ul>
                                        {% endif %}
                                        <br />
                                        <div class="width-80 label label-info label-xlg arrowed-in arrowed-in-right">
                                            <div class="inline position-relative">
                                                <a class="user-title-label" href="#">
                                                    <i class="ace-icon fa fa-circle light-green"></i>
                                                    &nbsp;
                                                    <span class="white">{{ u.firstname }}</span>
                                                </a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <form id="modif{{ u.id }}">
                                    <div class="col-xs-12 col-sm-7">
                                        <div class="space visible-xs"></div>
                                        <div class="profile-user-info profile-user-info-striped">
                                            <input hidden value="{{ u.id }}" name="id">
                                            <div class="profile-info-row">
                                                <div class="profile-info-name"> Nom </div>

                                                <div class="profile-info-value">
                                                    <span><input type="text" value="{{ u.lastname }}" name="lastname"></span>
                                                </div>
                                            </div>
                                            <div class="profile-info-row">
                                                <div class="profile-info-name"> Prénom </div>

                                                <div class="profile-info-value">
                                                    <span><input type="text" value="{{ u.firstname }}" name="firstname"></span>
                                                </div>
                                            </div>

                                            <div class="profile-info-row">
                                                <div class="profile-info-name"> Gender </div>

                                                <div class="profile-info-value">
                                                <span>
                                                    <select name="gender">
                                                        <option disabled value="0" selected>
                                                            {% if u.gender == 1 %}
                                                                --- Homme ---
                                                            {% elseif u.gender == 2 %}
                                                                --- Femme ---
                                                            {% endif %}</option>
                                                        <option value="1">Homme</option>
                                                        <option value="2">Femme</option>
                                                    </select>
                                                </span>
                                                </div>
                                            </div>
                                            <div class="profile-info-row">
                                                <div class="profile-info-name"> Numéro de Tél° </div>

                                                <div class="profile-info-value">
                                                    <span><input type="number" value="{{ u.phone }}" name="phone"></span>
                                                </div>
                                            </div>
                                            <div class="profile-info-row">
                                                <div class="profile-info-name"> Adresse </div>

                                                <div class="profile-info-value">
                                                    <i class="fa fa-map-marker light-orange bigger-110"></i>
                                                    <span>{{ u.address.state }},{{ u.address.city }}, {{ u.address.street }}, {{ u.address.zipCode }}, {{ u.address.country }}</span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-xs-12 col-sm-1">
                                        <button class="pull-right btn btn-sm btn-yellow btn-round" type="submit" onclick="modif({{ u.id }})">
                                            <i class="ace-icon fa fa-pencil bigger-110"></i>
                                            Modifier
                                        </button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div><!-- /.span -->
</div><!-- /.row -->
<div class="pagination-bar text-center">
    {{ knp_pagination_render(users) }}
</div>
{% else %}
<div class="well">
    <h4 class="blue smaller lighter">Vide!</h4>
    <label class="black">Il n'existe aucun utilisateur Professionnel.</label>
</div>
{% endif %}
{% endblock %}
{% block javascript %}
<script src="{{ asset('backassets/js/jquery.dataTables.min.js') }}"></script>
<script src="{{ asset('backassets/js/jquery.dataTables.bootstrap.min.js') }}"></script>
<script src="{{ asset('backassets/js/jquery.gritter.min.js') }}"></script>
<script src="{{ asset('backassets/js/spin.js') }}"></script>
<script src="{{ asset('backassets/js/bootbox.js') }}"></script>

<script>
$("#critere").keyup(function () {
    $('#spinner').html('');
    var input, filter, table, tr, td, i;
    input = document.getElementById("critere");
    filter = input.value.toUpperCase();
    table = document.getElementById("simple-table");
    tr = table.getElementsByTagName("tr");
    for (i = 0; i < tr.length; i++) {
        if (i % 2 != 0) {
            td = tr[i].getElementsByTagName("td")[0];
            if (td) {
                if ((td.innerHTML.toUpperCase().indexOf(filter) > -1)) {
                    tr[i].style.display = ""
                } else {
                    tr[i].style.display = "none"
                }
            }
        }
    }
}).keydown(function () {
    $('#spinner').html('<i class="ace-icon fa fa-spinner fa-spin orange bigger-125"></i>')
});
$(document).on('click', '.show-details-btn', function (e) {
    e.preventDefault();
    $(this).closest('tr').next().toggleClass('open');
    $(this).find(ace.vars['.icon']).toggleClass('fa-angle-double-down').toggleClass('fa-angle-double-up')
});
$(document).on('click', '#refreshbutton', function (e) {
    e.preventDefault();
    $('#spinner').html('<i class="ace-icon fa fa-spinner fa-spin orange bigger-125"></i>');
    $('#tableau').load("{{ path('pro-list') }} #simple-table", function () {
        $('#spinner').html('')
    })
});
function supp(id, pseudo) {
    bootbox.dialog({
        message: "<span class='bigger-110'>Etes vous sure de vouloir supprimer <p class='green'>" + pseudo + " </p></span>",
        buttons: {
            "danger": {
                "label": "Supprimer!", "className": "btn-sm btn-danger", "callback": function () {
                    $('#spinner').html('<i class="ace-icon fa fa-spinner fa-spin orange bigger-125"></i>');
                    $.ajax({
                        url: "{{ path('profile-delete') }}",
                        type: 'POST',
                        data: {id: id},
                        success: function () {
                            $('#spinner').html("");
                            $.gritter.add({
                                title : "",
                                text: 'Utislisateur Supprimé !' ,
                                class_name: 'gritter-success'
                            })
                        },
                        error: function () {
                            $('#spinner').html("");
                            $.gritter.add({
                                title: '',
                                text: "Echec de Suppression !",
                                class_name: 'gritter-error'
                            })
                        }
                    });
                    $('#tableau').load("{{ path('pro-list') }} #simple-table")
                }
            }, "button": {"label": "Annuler", "className": "btn-sm"}
        }
    })
}
function modif(id) {
    $('#modif' + id).submit(function (e) {
        e.preventDefault();
        $('#spinner').html('<i class="ace-icon fa fa-spinner fa-spin orange bigger-125"></i>');
        var url = "{{ path('profile-edit') }}";
        var formSerialize = $(this).serializeArray();
        $.post(url, formSerialize).done(function () {
            $('#tableau').load("{{ path('pro-list') }} #simple-table");
            $('#spinner').html(' ');
            $.gritter.add({
                title: '',
                text: 'Modification avec Succées!',
                class_name: 'gritter-success'
            })
        }).error(function () {
            $('#spinner').html(' ');
            $.gritter.add({
                title: '',
                text: "Erreur de mofication!",
                class_name: 'gritter-error'
            })
        })
    })
}
function disableUser(id) {
    $('#spinner').html('<i class="ace-icon fa fa-spinner fa-spin orange bigger-125"></i>');
    $.ajax({
        url: "{{ path('edit_state_user') }}", type: 'POST', data: {id: id}, success: function () {
            $('#spinner').html("");
            $.gritter.add({
                text: "Utilisateur désactivé !",
                class_name: 'gritter-success'
            })
        }, error: function () {
            $('#spinner').html("");
            $.gritter.add({
                title: "",
                text: "Echec de désactivation  !",
                class_name: 'gritter-error'
            })
        }
    });
    $('#tableau').load("{{ path('pro-list') }} #simple-table")
}
function enableUser(id) {
    $('#spinner').html('<i class="ace-icon fa fa-spinner fa-spin orange bigger-125"></i>');
    $.ajax({
        url: "{{ path('edit_state_user') }}", type: 'POST', data: {id: id}, success: function () {
            $('#spinner').html("");
            $.gritter.add({
                title:"",
                text: "Utilisateur activé !",
                class_name: 'gritter-success'
            })
        }, error: function () {
            $('#spinner').html("");
            $.gritter.add({
                title: "",
                text: "Echec d'activation  !",
                class_name: 'gritter-error'
            })
        }
    });
    $('#tableau').load("{{ path('pro-list') }} #simple-table")
}
function suppimage(id) {
    $('#spinner').html('<i class="ace-icon fa fa-spinner fa-spin orange bigger-125"></i>');
    $.ajax({
        url: "{{ path('photo-profile-delete') }}", type: 'POST', data: {id: id}, success: function () {
            $('#spinner').html("");
            $.gritter.add({
                title: '',
                text: 'Image d\'Utilisateur Supprimé !',
                class_name: 'gritter-success'
            })
        }, error: function () {
            $('#spinner').html("");
            $.gritter.add({
                title: '',
                text: "Echec de Suppression !",
                class_name: 'gritter-error'
            })
        }
    });
    $('#tableau').load("{{ path('pro-list') }} #simple-table")
}
</script>
{% endblock %}